#ifndef CGENERICREADWRITEDIALOG_H
#define CGENERICREADWRITEDIALOG_H

#include <QDialog>
#include <ui_CGenericReadWriteDialog.h>
#include "../ui/ConfigDialog.h"

#include <QrfeReaderInterfaceGlobal>

class QrfeReaderInterface;
class QrfeGenericTag;

class CGenericReadWriteDialog : public QDialog, ConfigDialog
{
    Q_OBJECT

public:
    CGenericReadWriteDialog(QWidget *parent = 0);
    ~CGenericReadWriteDialog();

public slots:
    int exec ( QrfeReaderInterface* ph, QString tagId, uint antennaId );

    void read();
    void write();

    void paramsChanged();

private:
    QrfeGenericTag*	m_tag;

    Ui::CGenericReadWriteDialogClass ui;
};

#endif // CGENERICREADWRITEDIALOG_H
